import 'dart:convert';
import 'package:hello_wallpaper/generated/json/base/json_field.dart';
import 'package:hello_wallpaper/generated/json/base_resp_model.g.dart';

@JsonSerializable()
class BaseRespModel {
	int? code;
	String? message;
	dynamic data;

  BaseRespModel();

  factory BaseRespModel.fromJson(Map<String, dynamic> json) => $BaseRespModelFromJson(json);

  Map<String, dynamic> toJson() => $BaseRespModelToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}